Pyside-uic für openSUSE, Versionswirrwar und Borderlayout



  • gibt es nicht in den repos von openSUSE.

    Also habe ich mir sie mit git von git://gitorious.org/pyside/pyside-tools.git geholt.
    Dort gibt es nach kurzem Blick nur für cmake Deinstallationsanweisungen.
    Keine Installation und auch kein setup.py.
    Zudem machte mich stutzig, dass in dem file CMakeLists.txt eine Version 4.5.0 von Qt gesucht wird.

    Die von mir via repo installierte Version des des QtDesigners ist:
    Qt Creator 2.4.0 Basierend auf Qt 4.8.0 (64 bit) Erstellt am Dec 22 2011 um 11:53:20

    die von Qt heruntergeladene jedoch:
    Qt Creator 2.3.1 Basierend auf Qt 4.7.4 (64 bit) Erstellt am Sep 21 2011 um 11:02:40
    Revision f184ced2e1

    Für mich als Newbie, laufen zwar die Beispielanwendungen alle,
    jedoch fürchte ich da künftig ziemlich Ärger.

    Mein Kde verwendet Qt 4.8.0
    (weshalb ich glaube, dass alles läuft, wg. Rückwärtskompatibilität; wissen tu ich es nicht.)

    Ein paar kurze erhellende Worte würden mir da helfen....

    Dann habe ich ein Beispiel für Borderlayout gefunden, was auch prima läuft.
    In allen Versionen von QtCreator ( oder QtDesigner ) findet sich diese Layout aber nicht.
    Was kann ich da tun?

    Besonders genre würde ich den pyside-uic einsetzen.
    Wie kriege ich das zum Laufen/installiert?


  • Moderators

    Sorry, python ist nicht meine Welt... da kann ich leider nicht helfen.

    Qt Creator ist aktuell auf Version 2.4.0. Der Zusatz "Basierend auf Qt XY" besagt lediglich welche Qt Version Qt Creator für seine eigene UI benutzt. Den kannst Du ignorieren, entwickeln kannst Du mit sowohl mit Qt Creator 2.4 als auch mit den Vorgängern gegen alle Qt Versionen.

    Das Qt SDK ist noch nicht auf Qt Creator 2.4.0 aktualisiert und enthält zur Zeit noch Qt Creator 2.3.1 (den direkten Vorgänger). Wenn das Update kommt, kannst Du das direkt aus dem Creator raus installieren (unter Hilfe, genauen Menüpunkt weiss ich grad' nicht).


Log in to reply
 

Looks like your connection to Qt Forum was lost, please wait while we try to reconnect.